## org.omg.CosNaming
Class BindingIteratorHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.BindingIteratorHelper

public class BindingIteratorHelper
extends java.lang.Object

Helper class for : BindingIterator

Author:
  OpenORB Compiler

Constructor Summary
`BindingIteratorHelper()`

Method Summary
`static BindingIterator` `extract(Any a)` Extract BindingIterator from an any
`static java.lang.String` `id()` Return the BindingIterator IDL ID
`static void` `insert(Any a, BindingIterator t)` Insert BindingIterator into an any
`static BindingIterator` `narrow(Object obj)` Narrow CORBA::Object to BindingIterator
`static BindingIterator` `read(InputStream istream)` Read BindingIterator from a marshalled stream
`static TypeCode` `type()` Return the BindingIterator TypeCode
`static BindingIterator` `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to BindingIterator
`static void` `write(OutputStream ostream, BindingIterator value)` Write BindingIterator into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingIteratorHelper

    public BindingIteratorHelper()

Method Detail

### insert

    public static void insert(Any a,
                              BindingIterator t)

  Insert BindingIterator into an any
  Parameters:
    `a` - an any
    `t` - BindingIterator value

### extract

    public static BindingIterator extract(Any a)

  Extract BindingIterator from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted BindingIterator value

### type

    public static TypeCode type()

  Return the BindingIterator TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the BindingIterator IDL ID
  Returns:
    an ID

### read

    public static BindingIterator read(InputStream istream)

  Read BindingIterator from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed BindingIterator value

### write

    public static void write(OutputStream ostream,
                             BindingIterator value)

  Write BindingIterator into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - BindingIterator value

### narrow

    public static BindingIterator narrow(Object obj)

  Narrow CORBA::Object to BindingIterator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    BindingIterator Object

### unchecked_narrow

    public static BindingIterator unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to BindingIterator
  Parameters:
    `obj` - the CORBA Object
  Returns:
    BindingIterator Object